public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-biology/pvmsx/
Date: Sat, 10 Jan 2015 14:37:07 +0000 (UTC)	[thread overview]
Message-ID: <1420899769.1addc38c5ff55f17bdb2da77ecf3463f76463f50.jlec@gentoo> (raw)

commit:     1addc38c5ff55f17bdb2da77ecf3463f76463f50
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 10 14:22:49 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sat Jan 10 14:22:49 2015 +0000
URL:        http://sources.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=1addc38c

sci-biology/pvmsx: Soma QA and polishing

Package-Manager: portage-2.2.15

---
 sci-biology/pvmsx/ChangeLog        |  7 +++++++
 sci-biology/pvmsx/metadata.xml     | 10 +++++-----
 sci-biology/pvmsx/pvmsx-0.1.ebuild | 36 +++++++++++++++++-------------------
 3 files changed, 29 insertions(+), 24 deletions(-)

diff --git a/sci-biology/pvmsx/ChangeLog b/sci-biology/pvmsx/ChangeLog
new file mode 100644
index 0000000..506319d
--- /dev/null
+++ b/sci-biology/pvmsx/ChangeLog
@@ -0,0 +1,7 @@
+# ChangeLog for sci-biology/pvmsx
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+  10 Jan 2015; Justin Lecher <jlec@gentoo.org> pvmsx-0.1.ebuild, metadata.xml:
+  Soma QA and polishing
+

diff --git a/sci-biology/pvmsx/metadata.xml b/sci-biology/pvmsx/metadata.xml
index 07b5255..2bc8930 100644
--- a/sci-biology/pvmsx/metadata.xml
+++ b/sci-biology/pvmsx/metadata.xml
@@ -1,9 +1,9 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-	<herd>sci-biology</herd>
-	<maintainer>
-		<email>mmokrejs@fold.natur.cuni.cz</email>
-		<name>Martin Mokrejs</name>
-	</maintainer>
+  <herd>sci-biology</herd>
+  <maintainer>
+    <email>mmokrejs@fold.natur.cuni.cz</email>
+    <name>Martin Mokrejs</name>
+  </maintainer>
 </pkgmetadata>

diff --git a/sci-biology/pvmsx/pvmsx-0.1.ebuild b/sci-biology/pvmsx/pvmsx-0.1.ebuild
index b194f08..feac0d2 100644
--- a/sci-biology/pvmsx/pvmsx-0.1.ebuild
+++ b/sci-biology/pvmsx/pvmsx-0.1.ebuild
@@ -4,43 +4,41 @@
 
 EAPI=5
 
-DESCRIPTION="parallel multi-FASTA file processing tool using PVM from TIGR Gene Indices project tools, an alternative to psx"
+DESCRIPTION="Parallel multi-FASTA file processing tool"
 HOMEPAGE="http://compbio.dfci.harvard.edu/tgi/software/"
-SRC_URI="ftp://occams.dfci.harvard.edu/pub/bio/tgi/software/tgicl/${PN}.tar.gz
-		ftp://occams.dfci.harvard.edu/pub/bio/tgi/software/tgicl/cdbfasta.tar.gz"
+SRC_URI="
+	ftp://occams.dfci.harvard.edu/pub/bio/tgi/software/tgicl/${PN}.tar.gz
+	ftp://occams.dfci.harvard.edu/pub/bio/tgi/software/tgicl/cdbfasta.tar.gz"
 
 LICENSE="Artistic"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
 IUSE=""
 
-DEPEND="sys-cluster/pvm"
-RDEPEND="${DEPEND}"
+#DEPEND="sys-cluster/pvm"
+#RDEPEND="${DEPEND}"
 
 S=${WORKDIR}
 
-src_unpack(){
-	mkdir ${PN} || die
-	cd ${PN} || die "Failed to chdir"
-	unpack ${PN}.tar.gz || die
-}
-
 src_prepare() {
 	# we need gclib from cdbfasta.tar.gz bundle which has fewer files than tgi_cpp_library.tar.gz wbut has e.g. GStr.h
-	sed -i 's/CFLAGS[ ]*=/CFLAGS :=/; s/-D_REENTRANT/-D_REENTRANT \${CFLAGS}/; s/CFLAGS[ ]*:=[ ]*-O2$//' "${S}"/${PN}/Makefile || die "Failed to run sed"
-	sed -i 's#GCLDIR := ../gclib#GCLDIR := ../cdbfasta/gclib#' "${S}"/"${PN}"/Makefile || die
-	sed -i "s#-I-#-iquote#" ${S}/${PN}/Makefile
-	cd ${PN} || die
+	sed \
+		-e 's/CFLAGS[ ]*=/CFLAGS :=/; s/-D_REENTRANT/-D_REENTRANT \${CFLAGS}/; s/CFLAGS[ ]*:=[ ]*-O2$//' \
+		-i "${S}"/Makefile || die "Failed to run sed"
+	sed \
+		-e 's#GCLDIR := ../gclib#GCLDIR := ../cdbfasta/gclib#' \
+		-i "${S}"/Makefile || die
+	sed \
+		-e "s#-I-#-iquote#" \
+		-i "${S}"/Makefile || die
 	ln -s ../cdbfasta/gcl . || die "Cannot make a softlink"
 }
 
 src_compile() {
-	cd ${PN} || die
-	emake || die "emake failed in "${S}"/${PN}"
+	emake
 }
 
 src_install() {
-	cd ${PN} || die
-	dobin ${PN} || die "Failed to install ${PN} binary"
+	dobin ${PN}
 	newdoc README README.${PN}
 }


             reply	other threads:[~2015-01-10 14:37 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-01-10 14:37 Justin Lecher [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-01-18 21:39 [gentoo-commits] proj/sci:master commit in: sci-biology/pvmsx/ Aisha Tammy
2015-01-07 22:12 Martin Mokrejs

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1420899769.1addc38c5ff55f17bdb2da77ecf3463f76463f50.jlec@gentoo \
    --to=jlec@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox